Reference
List Telegram accounts
List the workspace's Telegram accounts this connection may use, with session, safety, limit mode (free/safe), schedule and node/proxy ids.
View MarkdownThis page is generated from the source code on every release.
List the workspace's Telegram accounts this connection may use, with session, safety, limit mode (free/safe), schedule and node/proxy ids.
Overview
| Name | Value |
|---|---|
| Code | accounts.list |
| Scope needed | accounts.read |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
Needs Idempotency-Key |
No |
| Member roles allowed | owner, manager, agent, viewer |
| In the app | Accounts |
Input fields
This operation takes no fields.
Example request
curl -X POST https://tlg.builera.app/api/public/v2/ops/accounts.list \
-H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Output fields (data)
| Field | Type | Required |
|---|---|---|
items |
object[] |
Yes |
Example answer
{
"data": {
"items": [
{
"id": "00000000-0000-4000-8000-000000000000",
"label": "text",
"color": "text",
"first_name": "text",
"last_name": "text",
"username": "text",
"phone_masked": "text",
"is_premium": true,
"bio": "text",
"session_state": "active",
"connection_state": "text",
"safety_state": "healthy",
"safety_reason": "text",
"safety_until": "2026-10-22T12:00:00.000Z",
"paused": true,
"limit_mode": "text",
"rest_enabled": true,
"timezone": "text",
"work_start": "text",
"work_end": "text",
"rest_days": [
1
],
"reply_outside_hours": true,
"age_tier": "new",
"warmup_started_at": "2026-10-22T12:00:00.000Z",
"node_id": "00000000-0000-4000-8000-000000000000",
"proxy_id": "00000000-0000-4000-8000-000000000000",
"sync_contacts": true,
"contacts_synced_at": "2026-10-22T12:00:00.000Z",
"last_connected_at": "2026-10-22T12:00:00.000Z",
"created_at": "2026-10-22T12:00:00.000Z"
}
]
}
}Using it over MCP
Tool accounts_list is listed on the profiles: Real-time operations (realtime), Automation setup (setup), Discover (prospecting), Reports (reports), Administration (admin), Full (full). On other profiles, find it with tools_search and run it with tools_run.